Get Conversation By ID
curl --request GET \
--url https://api.trillet.ai/v1/api/conversations/{conversationId} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/conversations/{conversationId}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "112ec528bf7946a12ab0fs21",
"userId": "60d9e3c2f42e4d03800e01a5",
"pathwayId": "pw12345",
"agentId": "ag67890",
"customer": {
"name": "Test Customer Name",
"email": "customer@example.com",
"phone": "+123456789"
},
"messages": [
{
"direction": "outbound",
"sent": true,
"message": "Thank you for your feedback!",
"status": "approved",
"_id": "675c8e368824aa5f130b94d3",
"createdAt": "2024-12-01T08:45:00Z",
"updatedAt": "2024-12-01T09:00:00Z"
},
{
"direction": "inbound",
"sent": true,
"message": "No worries!",
"status": "received",
"_id": "675c8e368824aa5f130b94d3",
"createdAt": "2024-12-01T08:55:00Z",
"updatedAt": "2024-12-01T09:00:00Z"
}
],
"createdAt": "2024-12-01T08:45:00Z",
"updatedAt": "2024-12-03T12:30:00Z"
}
Conversations
Get Conversation By ID
Fetch the message history and details for a specific conversation.
GET
/
v1
/
api
/
conversations
/
{conversationId}
Get Conversation By ID
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the conversation.
Response Fields
string
The unique identifier for the conversation.
string
The unique identifier for the user associated with the conversation.
string
The unique identifier for the flow associated with the conversation.
string
The unique identifier for the agent handling the conversation.
object
array
An array of messages exchanged in the conversation.
Show Message Details
Show Message Details
string
The direction of the message (e.g., “outbound” or “inbound”).
boolean
Indicates whether the message was sent successfully.
string
The content of the message.
string
The status of the message (e.g., “approved”, “received”).
string
The unique identifier for the message.
string
Timestamp when the message was created.
string
Timestamp when the message was last updated.
string
Timestamp when the conversation was created.
string
Timestamp when the conversation was last updated.
Response Example
{
"_id": "112ec528bf7946a12ab0fs21",
"userId": "60d9e3c2f42e4d03800e01a5",
"pathwayId": "pw12345",
"agentId": "ag67890",
"customer": {
"name": "Test Customer Name",
"email": "customer@example.com",
"phone": "+123456789"
},
"messages": [
{
"direction": "outbound",
"sent": true,
"message": "Thank you for your feedback!",
"status": "approved",
"_id": "675c8e368824aa5f130b94d3",
"createdAt": "2024-12-01T08:45:00Z",
"updatedAt": "2024-12-01T09:00:00Z"
},
{
"direction": "inbound",
"sent": true,
"message": "No worries!",
"status": "received",
"_id": "675c8e368824aa5f130b94d3",
"createdAt": "2024-12-01T08:55:00Z",
"updatedAt": "2024-12-01T09:00:00Z"
}
],
"createdAt": "2024-12-01T08:45:00Z",
"updatedAt": "2024-12-03T12:30:00Z"
}
⌘I
